Bug 504803 - Not possible to set nsslapd-*-logmaxdiskspace to -1 through fedora-idm-console
Not possible to set nsslapd-*-logmaxdiskspace to -1 through fedora-idm-console
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Console (Show other bugs)
1.2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 434915 389_1.3.0 682897
  Show dependency treegraph
 
Reported: 2009-06-09 10:43 EDT by tamarinp
Modified: 2015-12-07 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 682897 (view as bug list)
Environment:
Last Closed: 2015-12-07 11:43:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ds-console patch (1.58 KB, patch)
2011-03-07 14:29 EST, Nathan Kinder
nkinder: review?
rmeggins: review+
nhosoi: review+
Details | Diff
ds patch (2.10 KB, patch)
2011-03-07 14:57 EST, Nathan Kinder
nhosoi: review+
Details | Diff

  None (edit)
Description tamarinp 2009-06-09 10:43:45 EDT
Description of problem:
It's not possible to set log max total diskspace to -1 in fedora-idm-console. The console states this must be at least equal to the log size, even when the docs state -1 is a valid setting. See
http://www.redhat.com/docs/manuals/dir-server/8.1/admin/Monitoring_Server_and_Database_Activity.html#Viewing_and_Configuring_Log_Files-Defining_a_Log_File_Deletion_Policy under "The maximum size of the combined archived logs".

Seems to work as documented when you set it in dse.ldif directly.

Version-Release number of selected component (if applicable):
fedora-ds-base-1.2.0-3
fedora-idm-console-1.1.3-1


How reproducible:
Always. 

Steps to Reproduce:
1. Start fedora-idm-console 
2. Navigate to instance and select the Logs/Access Log node.
3. Enter -1 for the "When total log size exceeds:" field under deletion policy
  
Actual results:
File size per log field become red and it's impossible to save. 


Expected results:
Should be possible to enter -1 for "infinite".

Additional info:
If -1 has been set by direct dse.ldif editing for one of the log types it becomes impossible to save changes for the others through the console as well. For instance, if you try to change error log settings in the console while -1 has been set in dse.ldif for the access log, then when attempting to save settings an error box will pop up.
Comment 2 Nathan Kinder 2011-03-07 14:29:40 EST
Created attachment 482772 [details]
ds-console patch
Comment 3 Nathan Kinder 2011-03-07 14:57:10 EST
Created attachment 482778 [details]
ds patch

Additional patch needed for the directory server code.
Comment 4 Nathan Kinder 2011-03-07 17:16:38 EST
Thanks to Rich and Noriko for their reviews!  Pushed ds-console patch to master:

Counting objects: 17, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (9/9), 1.01 KiB, done.
Total 9 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds-console.git
   c8566da..d55444d  master -> master

Pushed ds patch to master:

Counting objects: 11, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 1.06 KiB, done.
Total 6 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   df575d3..d79ff62  master -> master
Comment 5 Nathan Kinder 2011-03-07 17:38:47 EST
Pushed ds patch to 389-ds-base-1.2.8 branch.

Counting objects: 11, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 1.06 KiB, done.
Total 6 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   c1bfc3e..235e3a6  128-local -> 389-ds-base-1.2.8
Comment 6 Amita Sharma 2011-07-29 08:12:32 EDT
Tested on Red hat DS console, Working fine for me Hence marking VERIFIED

Followed
===========
1. Start fedora-idm-console 
2. Navigate to instance and select the Logs/Access Log node.
3. Enter -1 for the "When total log size exceeds:" field under deletion policy

Note You need to log in before you can comment on or make changes to this bug.